#
# spec file for package yast2-support (Version 2.13.3)
#
# Copyright (c) 2006 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    aaa_base acl attr audit-libs autoconf automake bash bind-libs bind-utils binutils bison blocxx boost bzip2 coreutils cpio cpp cracklib curl cvs cyrus-sasl db dbus-1 dbus-1-glib dejagnu desktop-translations diffutils doxygen e2fsprogs expat expect file filesystem fillup findutils flex gawk gcc gdbm gdbm-devel gettext gettext-devel glib2 glibc glibc-devel glibc-locale gnome-filesystem gpm grep groff gzip hal hwinfo info insserv klogd less libacl libattr libcom_err libgcc libicu libidn libnscd libpng libstdc++ libstdc++-devel libtool libusb libxcrypt libxml2 libxml2-devel liby2util liby2util-devel libzio libzypp m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-modules patch pcre pcre-devel perl perl-XML-Writer permissions pkgconfig popt procinfo procps psmisc pwdutils rcs readline rpm sed strace sysfsutils sysvinit tar tcl tcpd texinfo timezone unzip update-desktop-files util-linux vim wireless-tools yast2 yast2-core yast2-core-devel yast2-devtools yast2-hardware-detection yast2-pkg-bindings yast2-testsuite zlib zlib-devel

Name:           yast2-support
Version:        2.13.3
Release:        0.3
License:        GPL
Group:          System/YaST
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Source0:        yast2-support-2.13.3.tar.bz2
prefix:		/usr
BuildRequires:  doxygen perl-XML-Writer pkg-config update-desktop-files yast2 yast2-devtools yast2-testsuite
Requires:       yast2 siga gzip
Provides:       y2m_support yast2-module-support yast2-trans-support y2t_support
Obsoletes:      y2m_support yast2-module-support yast2-trans-support y2t_support
BuildArchitectures: noarch
Summary:        YaST2 - Support Inquiries

%description
This module allows you to collect system information for installation
support in a standardized format.



%debug_package
%prep
%setup -n yast2-support-2.13.3

%build
%{prefix}/bin/y2tool y2autoconf
%{prefix}/bin/y2tool y2automake
autoreconf --force --install
export CFLAGS="$RPM_OPT_FLAGS -DNDEBUG"
export CXXFLAGS="$RPM_OPT_FLAGS -DNDEBUG"
%{?suse_update_config:%{suse_update_config -f}}
./configure --libdir=%{_libdir} --prefix=%{prefix} --mandir=%{_mandir}
make %{?jobs:-j%jobs}

%install
make install DESTDIR="$RPM_BUILD_ROOT"
[ -e "%{prefix}/share/YaST2/data/devtools/NO_MAKE_CHECK" ] || Y2DIR="$RPM_BUILD_ROOT/usr/share/YaST2" make check DESTDIR="$RPM_BUILD_ROOT"
for f in `find $RPM_BUILD_ROOT/%{prefix}/share/applications/YaST2/ -name "*.desktop"` ; do
    d=${f##*/}
    %suse_update_desktop_file -d ycc_${d%.desktop} ${d%.desktop}
done

%clean
rm -rf "$RPM_BUILD_ROOT"

%files
%defattr(-,root,root)
/usr/share/YaST2/scrconf/*.scr
/usr/share/YaST2/clients/*.ycp
/usr/share/YaST2/include/support
%{prefix}/share/applications/YaST2/*.desktop
/usr/share/YaST2/data/support
%{prefix}/lib/YaST2/bin/support
%doc %{prefix}/share/doc/packages/yast2-support

%changelog -n yast2-support
* Fri May 19 2006 - stark@suse.de
- added small documentation at the top of the output file
- use RichText widget instead of LogView for displaying the
  resulting text file
- 2.13.3
* Thu Mar 09 2006 - jsuchome@suse.cz
- BuildRequires: added missing yast2
- 2.13.2
* Mon Mar 06 2006 - jsuchome@suse.cz
- updated BuildRequires
- 2.13.1
* Wed Jan 25 2006 - stark@suse.de
- version 2.13.0
* Tue Aug 23 2005 - stark@suse.de
- save by default to /root directory (#106741)
- 2.12.3
* Tue Aug 16 2005 - locilka@suse.cz
- Merged messages from proofreading
- 2.12.2
* Thu Aug 04 2005 - stark@suse.de
- removed registration and online stuff
- 2.12.1
* Tue Aug 02 2005 - locilka@suse.cz
- Adapted for SUSE Linux 10.0
- 2.12.0
* Mon Feb 28 2005 - visnov@suse.cz
- Adapted for SUSE Linux 9.3
- 2.11.1
* Mon Jan 17 2005 - jsuchome@suse.cz
- move client for viewing logs to yast2-repair
- removed lookup & select
- 2.11.0
* Mon Sep 13 2004 - visnov@suse.cz
- adapted for 9.2 (mlasars)
- 2.10.1
* Tue Jun 15 2004 - msvec@suse.cz
- updated testsuite
- 2.10.0
* Fri May 07 2004 - mvidner@suse.cz
- Merged messages from proofreading.
- 2.9.4
* Fri Apr 02 2004 - msvec@suse.cz
- fixed log viewer in ncurses menu (#38088)
- changed license to GPL
- updated testsuite
- 2.9.3
* Thu Mar 11 2004 - msvec@suse.cz
- fixes from Martin Lasarsch
- 2.9.2
* Mon Feb 09 2004 - msvec@suse.cz
- make it compile and build
- drop y2cc config files
- 2.9.1
* Mon Sep 15 2003 - mlasars@suse.de
- removed obsolete text (bug #30372)
- point send script to 9.0 url
* Sun Sep 14 2003 - adrian@suse.de
- make it working in kcontrol
* Mon Sep 08 2003 - msvec@suse.cz
- proof-read texts
- 2.8.4
* Wed Aug 20 2003 - arvin@suse.de
- added desktop file
- use Popup and Label modules
* Mon Jun 23 2003 - arvin@suse.de
- include directories in file list
* Fri Mar 14 2003 - sh@suse.de
- V 2.7.4
- Enable embedding to KDE control center
* Mon Mar 03 2003 - kkaempf@suse.de
- proofread texts.
- 2.7.3
* Fri Feb 21 2003 - mlasars@suse.de
- add mail and usb to support categories.
- 2.7.2
* Fri Feb 21 2003 - kkaempf@suse.de
- match combo box entry with log view caption (#23849)
- 2.7.1
* Mon Feb 10 2003 - jsuchome@suse.de
- Merged proofread texts.
- 2.7.0
* Thu Aug 29 2002 - jsuchome@suse.cz
- added tests
* Tue Aug 27 2002 - jsuchome@suse.cz
- hacked send_support_request.pl for running outside of suse.de
- added siga to "Requires"
- changed helptext in question dialog (#17098)
- tmp files removed at the end
* Mon Aug 26 2002 - jsuchome@suse.cz
- 2.6.6.
* Thu Aug 22 2002 - jsuchome@suse.cz
- changed install paths:
  /usr/lib/YaST2/bin/support for scripts
  /usr/share/YaST2/data/support for initial data
  /var/lib/YaST2/support is still used for variable data
- supportio.ycp put to yncludedir
- html output for wrapper script changed to plain
- added check for root as a user
* Thu Jul 18 2002 - kkaempf@suse.de
- obsolete yast2-trans-support (#16886)
* Fri Jul 12 2002 - arvin@suse.de
- use proper namespace for Args and CallFunction (#16776)
* Thu Jul 11 2002 - kkaempf@suse.de
- generate support.pot
* Fri Jul 05 2002 - arvin@suse.de
- moved non binary files to /usr/share/YaST2
* Thu Jun 27 2002 - kkaempf@suse.de
- Rename to "yast2-support".
* Thu Mar 21 2002 - kkaempf@suse.de
- Add option(`hstretch) to ComboWidget so ncurses displays it with
  the right size (#15221).
- Handle "close window" event as "abort" (#8643).
* Wed Mar 20 2002 - kkaempf@suse.de
- check for /etc/prelink.cache and report it in the question (#15273).
* Thu Mar 14 2002 - kkaempf@suse.de
- send "-none-" as question if user didn't enter any.
* Wed Mar 13 2002 - mlasars@suse.de
- added ##Y2support tags for cgi script
* Fri Mar 01 2002 - kkaempf@suse.de
- enhance logfile viewer
- drop sitar require
* Fri Mar 01 2002 - kkaempf@suse.de
- all .include files changed to use siga, added 2 files,
  hw.include & net.include
- support_modules.pl
  added net & hw option
  removed not needed outputs
- support_question.ycp
  added buttons for cdr, network and hardware
- support_send.ycp
  added chmod 600 for support.request at the end
- send_support_request.pl
  changed url form 73 to 80
- wrapper
  added options (hw,net)
  changed support_whatever() to call siga
* Mon Feb 25 2002 - kkaempf@suse.de
- adapt to Wizard library.
- put key to /var/lib/support.
* Tue Feb 19 2002 - kkaempf@suse.de
- move support key data from rc.config to sysconfig.
* Thu Sep 20 2001 - gs@suse.de
- new icons for startup log and system log
* Tue Sep 18 2001 - bjacke@suse.de
- fix dependency for sitar and remove a password from config file
* Fri Sep 14 2001 - kkaempf@suse.de
- adapt to new ycp syntax, fix translations.
- fix locale bug (#10409).
- bump version to 2.4.1 for 7.3
* Fri Sep 07 2001 - bjacke@suse.de
- use new sitar version and update information collector files
* Mon May 14 2001 - mge@suse.de
- "wrapper": don't print "Buttons:" if --all
* Mon May 14 2001 - kkaempf@suse.de
- re-enable "--output=html", "plain" breaks in wrapper
* Sat May 12 2001 - kkaempf@suse.de
- drop "--output=html" for 'unspecified'
- drop scanner and cd-writer as options
* Thu May 10 2001 - kkaempf@suse.de
- suppress empty/unused locales (translations)
* Tue May 08 2001 - bjacke@suse.de
- fix call in wrapper script and minor tweaks
* Mon May 07 2001 - sh@suse.de
- Use new UI(`GetLanguage()) parameter
* Wed May 02 2001 - kkaempf@suse.de
- use RichText widget for HTML output
* Tue May 01 2001 - bjacke@suse.de
- correct include files and support_module
* Mon Apr 30 2001 - kkaempf@suse.de
- correctly use "wrapper" script
  fix filelist in specfile
* Thu Apr 12 2001 - kkaempf@suse.de
- update probing tools
  use yast2-lib-wizard functions
* Mon Apr 09 2001 - kkaempf@suse.de
- modularize view file functions
* Fri Apr 06 2001 - kkaempf@suse.de
- adapt to new common_popups
- ask for category
- use new data collection script
* Thu Apr 05 2001 - kkaempf@suse.de
- package renamed to yast2-module-support
- new functions, view /var/log/messages
  and view /var/log/boot.msg
* Fri Jan 19 2001 - kkaempf@suse.de
- protect /var/lib/support with chmod 700
* Tue Jan 16 2001 - kkaempf@suse.de
- honor back button in support_question
* Tue Jan 16 2001 - kkaempf@suse.de
- remove duplicate include statements
* Thu Jan 11 2001 - kkaempf@suse.de
- gather more system informations
* Thu Jan 11 2001 - kkaempf@suse.de
- add proper regcode check
* Thu Jan 11 2001 - kkaempf@suse.de
- check internet connection, popup appropriate message boxes
* Wed Jan 10 2001 - kkaempf@suse.de
- fix "save disk" popup
* Wed Jan 10 2001 - kkaempf@suse.de
- added comments for translators
* Wed Dec 13 2000 - kkaempf@suse.de
- better messages
* Tue Nov 21 2000 - kkaempf@suse.de
- initial
